Bug 596386 (CVE-2010-1119) - CVE-2010-1119 WebKit: use-after-free vulnerability in handling of attribute manipulation
Summary: CVE-2010-1119 WebKit: use-after-free vulnerability in handling of attribute m...
Status: CLOSED WONTFIX
Alias: CVE-2010-1119
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20100607,repor...
Keywords: Security
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 17:17 UTC by Vincent Danen
Modified: 2016-11-08 15:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 08:14:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 17:17:19 UTC
A use after free issue exists in WebKit's handling of attribute manipulation. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved memory reference tracking.
References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=33850
Trac: http://trac.webkit.org/changeset/53501, http://trac.webkit.org/changeset/53504

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges Ralf Philipp Weinmann working with TippingPoint's Zero Day Initiative as the original reporter.

Comment 6 Jan Lieskovsky 2010-06-08 16:27:24 UTC
Public via:
  [1] http://support.apple.com/kb/HT4196


Note You need to log in before you can comment on or make changes to this bug.